HealingEstimator.Spells = { 1,2,3 };
HealingEstimator.Talents = {};
_,HealingEstimator.PlayerClass = UnitClass("player");

if (HealingEstimator.PlayerClass == HE_CL_PRIEST) then
    -- HealingEstimator.Spells[1].castlevelbyrank[1]
	HealingEstimator.Spells = {
	   { spell = HE_SPELL_Heal , basecoeff = 0.857 , castlevelbyrank = { 21 , 27 , 33, 39 } , learnlevel={ 16,22,28,34 } , icon="Spell_Holy_Heal" },
	   { spell = HE_SPELL_GreaterHeal , basecoeff = 0.857 , castlevelbyrank = { 45 , 51 , 57, 59, 62, 67, 70 } , icon="Spell_Holy_GreaterHeal" },
	   { spell = HE_SPELL_FlashHeal , basecoeff = 0.42857 , castlevelbyrank = { 25 , 31 , 37, 43,49,55,60,66,70 } , icon="Spell_Holy_FlashHeal" },
	   { spell = HE_SPELL_Renew , basecoeff = 1 , castlevelbyrank = { 13,19,25,31,37,43,49,54,59,64,70,70 } , learnlevel = { 8,14,20,26,32,38,44,50,55,60,65,70 } , icon="Spell_Holy_Renew" },
	   { spell = HE_SPELL_PrayerOfMending , basecoeff = 1.5/3.5 , castlevelbyrank = {70} , learnlevel = {68} },
	   { spell = HE_SPELL_BindingHeal , basecoeff = 1.5/3.5 , castlevelbyrank = {70} , learnlevel = {65} },
	   { spell = "Lightwell" , basecoeff = 1 , castlevelbyrank = { 49,59,69,70 } , learnlevel = { 40,50,60,70 } },
	   { spell = HE_SPELL_PrayerOfHealing , basecoeff = (3/3.5)/3 , castlevelbyrank = {39,49,59,67,67,70} , learnlevel = {30,40,50,60,60,68} },
	   { spell = "Circle of Healing" , basecoeff = 0.75/3.5 , castlevelbyrank = { 55,59,64,69,70 } , learnlevel = { 50,56,60,65,70 } },
	   { spell = HE_SPELL_PowerWordShield , basecoeff = 0.2 , castlevelbyrank = { 11,17,23,29,35,41,47,53,59,64,69,70 } , learnlevel = { 6,12,18,24,30,36,42,48,54,60,65,70 } }
	};
	HEChartSpellName = HE_SPELL_GreaterHeal;
end

if (HealingEstimator.PlayerClass == HE_CL_DRUID) then
	HealingEstimator.Spells = {
	   { spell = HE_SPELL_HealingTouch , basecoeff = 1 , castlevelbyrank = { 7, 13 , 19 , 25, 31, 37, 43, 49, 55, 59, 61, 67, 70 } , basecoeffbyrank = { 1.5/3.5 , 2/3.5 , 2.5/3.5 , 3/3.5 ,1,1,1,1,1,1,1,1,1 } , learnlevel = { 1,8,14,20,26,32,38,44,50,56,60,62,68 } , icon="Spell_Nature_HealingTouch" },
	   { spell = HE_SPELL_Regrowth , basecoeff = 1/3.5 , altcoeff = 0.7 , castlevelbyrank = { 17,23,29,35,41,47,53,59,65,70 } , learnlevel = { 12,18,24,30,36,42,48,54,60,66 } , icon="Spell_Nature_ResistNature" },
	   { spell = HE_SPELL_Lifebloom , basecoeff = 0.46 , altcoeff = 0.46 , castlevelbyrank = { 70 } , learnlevel = { 64 } , icon="Spell_Nature_ResistNature" },
	   { spell = HE_SPELL_Rejuvenation , basecoeff = 1 , castlevelbyrank = { 9,15,21,27,33,39,45,51,57,59,63,69,70 } , learnlevel = { 4,10,16,22,28,34,40,46,52,58,60,64,70 } , icon="Spell_Nature_Rejuvenation" }
	};
	HEChartSpellName = HE_SPELL_HealingTouch;
end

if (HealingEstimator.PlayerClass == HE_CL_PALADIN) then
	HealingEstimator.Spells = {
	   { spell = HE_SPELL_HolyLight , basecoeff = 2.5/3.5 , castlevelbyrank = { 5,13,21,29,37,45,53,59,61,69,70 } , learnlevel = { 1,6,14,22,30,38,46,54,60,62,70 } , icon="Spell_Holy_HolyBolt" },
	   { spell = HE_SPELL_FlashOfLight , basecoeff = 1.5/3.5 , castlevelbyrank = { 25,33,41,49,57,65,70 } , icon="Spell_Holy_HolyBolt"}
    };
    HEChartSpellName = HE_SPELL_FlashOfLight;
    HealingEstimator.BoL = {
        holylight = {210,300,400,580},
        flashoflight = {60,85,115,185}
    };
    HealingEstimator.GBoL = {
        holylight = {400,580},
        flashoflight = {115,185}
    };
end

if (HealingEstimator.PlayerClass == HE_CL_SHAMAN) then
	HealingEstimator.Spells = {
	   { spell = HE_SPELL_HealingWave , basecoeff = 3/3.5 , basecoeffbyrank = { 1.5/3.5 , 2/3.5 , 2.5/3.5 , 3/3.5 , 3/3.5 , 3/3.5 , 3/3.5 , 3/3.5 , 3/3.5 , 3/3.5 , 3/3.5 , 3/3.5 } , castlevelbyrank = { 5,11,17,23,31,39,47,55,59,62,69,70 } , learnlevel = { 1,6,12,18,24,32,40,48,56,60,63,70 } , icon="Spell_Nature_HealingWaveGreater" },
	   { spell = HE_SPELL_LesserHealingWave , basecoeff = 1.5/3.5 , castlevelbyrank = { 27,35,43,51,59,65,70 } , learnlevel = { 20,28,36,44,52,60,66 } , icon="Spell_Nature_HealingWaveLesser" },
	   { spell = HE_SPELL_ChainHeal , basecoeff = 2.5/3.5 , castlevelbyrank = { 45,53,60,67,70 } , learnlevel = { 40,46,54,61,68 } , icon="Spell_Nature_HealingWaveGreater" }
    };
    HEChartSpellName = HE_SPELL_HealingWave;
end

HealingEstimator.Cooldown = "Cooldown remaining";
HealingEstimator.Reagents = "Reagents";
HealingEstimator.LifeTap = "Life Tap";
HealingEstimator.Tools = "Tools";
HealingEstimator.Rank = "Rank";


