--
-- Healing estimator german localization


if(GetLocale()=="deDE") then

    HE_SPELL_FlashHeal = "Blitzheilung";
    HE_SPELL_Heal = "Heilen";
    HE_SPELL_GreaterHeal = "Gro\195\159e Heilung";
    HE_SPELL_Renew = "Erneuerung";
    HE_SPELL_HealingTouch = "Heilende Ber\195\188hrung";
    HE_SPELL_Regrowth = "Nachwachsen";
    HE_SPELL_Rejuvenation = "Rejuvenation";
    HE_SPELL_HolyLight = "Heiliges Licht";
    HE_SPELL_FlashOfLight = "Lichtblitz";
    
    HE_SPELL_BlessingOfLight = "Segen des Lichts";
    HE_SPELL_GrBlessingOfLight = "Gro\195\159er Segen des Lichts";
    HE_SPELL_FearWard = "Furchtzauberschutz";
    
    --HE_CL_DRUID = "Druide";
    --HE_CL_HUNTER = "J\195\164ger";
    --HE_CL_MAGE = "Magier";
    --HE_CL_PALADIN = "Paladin";
    --HE_CL_PRIEST = "Priester";
    --HE_CL_ROGUE = "Schurke";
    --HE_CL_SHAMAN = "Schamane";
    --HE_CL_WARLOCK = "Hexenmeister";
    --HE_CL_WARRIOR = "Krieger";

	-- Localize other texts
	HealingEstimatorLoc =
		{
		Welcome		= "HealingEstimator "..HEALINGESTIMATOR_VERSION.." geladen";
		
		-- This infomation is read from tooltip
		HealValue	= "(%d+) bis (%d+)";
		RankTxt		= "%((Rang %d+)%)";
		RankTooltip	= "Rang (%d+)";
		TargetName	= "<Target name>";
		
		-- THESE NEED TRANSLATION
		HOTValue   = "(%d+) over (%d+)";
	    Casttime   = "Wirken in (.+) Sek";
	    Instant    = "Spontanzauber";
		
		-- Healing texts in combat log
		CritHeal	= "Besondere Heilung: (.+) heilt (.+) um (%d+)% Punkte.";
		NormHeal	= "(.+) heilt (.+) um (%d+)% Punkte.";
		HotSelf		= "Ihr erhaltet (%d+) Gesundheit durch (.+)%.";
		HotOther	= "(.+) erhlt (%d+) Gesundheit durch (.+)%.";
		YouText		= "euch";
		
		-- Healing classes
		HealingClasses={"Priester", "Druide", "Paladin", "Shamane"};
		HealingSpells=
			{
			"Blitzheilung", "Gro\195\159e Heilung", "Geringes Heilen", "Heilen",
			"Heilende Ber\195\188hrung", "Nachwachsen",
			"Heiliges Licht", "Lichtblitz",
			"Welle der Heilung", "Gerine Welle der Heilung"
			};
		
		-- Menu text
		Scale			= "Skalierung der Heilleiste ";
		Limit			= "Overheal Warnung bei ";
		IconPos			= "Position";
		OverhealTitle	= "Healing meter config";
		BarTitle		= "Heilleiste";
		MinimapTitle	= "Minimap button";
		ShowText		= "Zeigen";
		HideText		= "Verstecken";
		ResetPosTooltip	= "Stelle die Position der Heilleiste zurck";
		HideTooltip		= "Verstecke/Zeige den minimap button";
		ClearTooltip	= "Loesche die aktuellen Heil/Overheal Daten";
		
		HideMeter		= "Overhealing meter versteckt, benutze /heal oder /healingestimator um das Menue zu zeigen.";
		ShowMeter		= "Overhealing meter sichtbar.";
		};
end
